import mysql.simplesql as sql
from objects.tr import ETrType

tables = ['catalog', 'catalogattribute', 'tmccatalog', 'tr']


def insertCatalog(catalog):
    yield sql.Insert(table='catalog', values={
        'catalogid': catalog.get('catalogid', None),
        'catalogname': catalog.get('catalogname', None),
        'image': catalog.get('image', None),
        'type': catalog.get('type', None)
    })


def clearCatalog():
    yield sql.DeleteAll(table='catalog')
    yield sql.Delete(table='tr', whereFields=['idtype'], whereValues=[ETrType.tCatalogId.value])


def deleteCatalog(catalog):
    yield sql.Delete(table='catalog', whereFields=['catalogid'], whereValues=[catalog.get('catalogid', None)])
    yield sql.Delete(table='tr', whereFields=['id', 'idtype'],
                     whereValues=[catalog.get('catalogid', None), ETrType.tCatalogId.value])


def deleteCatalogAndTmcCatalog(id):
    yield sql.Delete(table='catalog', whereFields=['catalogid'], whereValues=[id])
    yield sql.Delete(table='tmccatalog', whereFields=['catalogid'], whereValues=[id])
    yield sql.Delete(table='tr', whereFields=['id', 'idtype'], whereValues=[id, ETrType.tCatalogId.value])


def deleteCatalogById(id):
    yield sql.Delete(table='catalog', whereFields=['catalogid'], whereValues=[id])
    yield sql.Delete(table='tr', whereFields=['id', 'idtype'], whereValues=[id, ETrType.tCatalogId.value])
