import mysql.simplesql as sql

tables = ['vat']


def insertLVat(lvat):
    yield sql.Insert(table='vat', values={
        'code': lvat.get('code', None),
        'name': lvat.get('name', None),
        'rate': lvat.get('rate', None),
        'mode': lvat.get('mode', None)
    })


def deleteLVat(lvat):
    for i in deleteLVatByCode(lvat.get('code', None)):
        yield i


def deleteLVatByCode(code):
    yield sql.Delete(table='vat', whereFields=['code'], whereValues=[code])


def clearLVat():
    yield sql.DeleteAll(table='vat')


def updateLVat(lvat):
    fields = []
    values = []

    if lvat.get('taxgroupcode'):
        fields.append('code')
        values.append(lvat.get('taxgroupcode'))
    if lvat.get('mode'):
        fields.append('mode')
        values.append(lvat.get('mode',0))
    yield sql.Update(table='vat', fields=fields, values=values, whereField=['code'],
            whereValue=[lvat.get('taxcode', 0)])
