import mysql.simplesql as sql
from objects.tr import ETrType

tables = ['picklist', 'tr']


def insertPicklist(picklist):
    yield sql.Insert(table='picklist', values={
        'code': picklist.get('code', None),
        'name': picklist.get('name', ''),
        'image': picklist.get('image', ''),
        'parent': picklist.get('parent', None),
        'tmccode': picklist.get('tmccode', None),
        'itemorder': picklist.get('itemorder', None)
    })


def clearPicklist():
    yield sql.DeleteAll(table='picklist')
    yield sql.Delete(table='tr', whereFields=['idtype'], whereValues=[ETrType.tPickListCode.value])


def deletePicklist(picklist):
    yield sql.Delete(table='picklist', whereFields=['code'], whereValues=[picklist.get('code', None)])
    yield sql.Delete(table='tr', whereFields=['id', 'idtype'],
                     whereValues=[picklist.get('code', None), ETrType.tPickListCode.value])


def deletePicklistByCode(code):
    yield sql.Delete(table='picklist', whereFields=['code'], whereValues=[code])
    yield sql.Delete(table='tr', whereFields=['id', 'idtype'], whereValues=[code, ETrType.tPickListCode.value])
