import mysql.simplesql as sql

tables = ['vat']


def taxes(taxGroup):
    return taxGroup.get('taxes', [])


def insertTaxGroup(taxGroup):
    taxGroupCode = taxGroup.get('idtaxgroup', 0)
    for n, tax in enumerate(taxes(taxGroup)):
        if n > 4:
            break
        yield sql.Insert(table='vat', values={
            'code': int(taxGroupCode) * 100 + n + 1,
            'name': tax.get('name', ''),
            'rate': tax.get('rate', 0),
            'mode': 1 if tax.get('changebase', False) else 0
        })


def deleteTaxGroup(taxGroup):
    taxGroupCode = taxGroup.get('idtaxgroup', 0)
    for i in range(1, 6):
        yield sql.Delete(table='vat', whereFields=['code'], whereValues=[int(taxGroupCode) * 100 + i])


def deleteTaxGroupByCode(idtaxgroup):
    for i in range(1, 6):
        yield sql.Delete(table='vat', whereFields=['code'], whereValues=[int(idtaxgroup) * 100 + i])


def clearTaxGroup():
    yield sql.DeleteAll(table='vat')


def updateTaxGroup(tax):
    mode = 0
    taxgroupcode = tax.get('taxgroupcode', 0)
    if tax.get('mode'):
        mode = tax.get('mode', 0)
    for i in range(1, 6):
        yield sql.Update(table='vat', fields=['code', 'mode'], values=[int(taxgroupcode) * 100 + i, mode],
                whereField=['code'], whereValue=[tax.get('taxcode', 0) * 100 + i])
