# -*- coding: utf-8 -*-

import mysql.simplesql as sql

tables = ['tmcscale']


def insertTmcScale(tmcscale):
    yield sql.Insert(table='tmcscale', values={
        'tmcscalecode': tmcscale.get('tmcscalecode', None),
        'tmccode': tmcscale.get('tmccode', None),
        'tmcscalegroupcode': tmcscale.get('tmcscalegroupcode', None),
        'plu': tmcscale.get('plu', None),
        'ingredients': tmcscale.get('ingredients', None),
        'manufacturer': tmcscale.get('manufacturer', None),
        'prefix': tmcscale.get('prefix', None),
        'produceddate': tmcscale.get('produceddate', None),
        'sellbydate': tmcscale.get('sellbydate', None),
        'sellbytime': tmcscale.get('sellbytime', None)
    })


def deleteTmcScale(tmccode, tmcscalecode=None):
    if tmcscalecode:
        whereFields = ['tmcscalecode', 'tmccode']
        whereValues = [tmcscalecode, tmccode]
    else:
        whereFields = ['tmccode']
        whereValues = [tmccode]
    yield sql.Delete(table='tmcscale', whereFields=whereFields, whereValues=whereValues)


def deleteTmcScaleByObj(tmcscale):
    for i in deleteTmcScale(tmcscale.get('tmccode', None), tmcscale.get('tmcscalecode', None)):
        yield i


def clearTmcScale():
    yield sql.DeleteAll(table='tmcscale')
